Data Importer API
POST /services/importer/v1/importer/create Auth

Create Importer

Request Body Required

FieldTypeRequiredDescriptionExample
title string Yes Product Feed Import
import_identifier string Yes product-feed-daily
structure_identifier string Yes products
format string
csv, json, xml
Yes xml
source string
url
Yes url
source_url string (uri) Yes https://example.com/feeds/products.xml
allow_update boolean|null No true
allow_delete boolean|null No false
schedule_enabled boolean|null No true
schedule_config array|null No {"interval":"daily","repeat_every":1}

Responses

500
200
422
401
403
429
Internal server error
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data mixed[]
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
data object
data.importer object
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/importer/v1/importer/create" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Product Feed Import",
    "import_identifier": "product-feed-daily",
    "structure_identifier": "products",
    "format": "xml",
    "source": "url",
    "source_url": "https://example.com/feeds/products.xml",
    "allow_update": true,
    "allow_delete": false,
    "schedule_enabled": true,
    "schedule_config": {
        "interval": "daily",
        "repeat_every": 1
    }
}'
fetch('https://api.wemasy.nl/api/services/importer/v1/importer/create', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "title": "Product Feed Import",
    "import_identifier": "product-feed-daily",
    "structure_identifier": "products",
    "format": "xml",
    "source": "url",
    "source_url": "https://example.com/feeds/products.xml",
    "allow_update": true,
    "allow_delete": false,
    "schedule_enabled": true,
    "schedule_config": {
        "interval": "daily",
        "repeat_every": 1
    }
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/importer/v1/importer/create', {
    "title": "Product Feed Import",
    "import_identifier": "product-feed-daily",
    "structure_identifier": "products",
    "format": "xml",
    "source": "url",
    "source_url": "https://example.com/feeds/products.xml",
    "allow_update": true,
    "allow_delete": false,
    "schedule_enabled": true,
    "schedule_config": {
        "interval": "daily",
        "repeat_every": 1
    }
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "title": "Product Feed Import",
    "import_identifier": "product-feed-daily",
    "structure_identifier": "products",
    "format": "xml",
    "source": "url",
    "source_url": "https://example.com/feeds/products.xml",
    "allow_update": true,
    "allow_delete": false,
    "schedule_enabled": true,
    "schedule_config": {
        "interval": "daily",
        "repeat_every": 1
    }
}
r = requests.post("https://api.wemasy.nl/api/services/importer/v1/importer/create", headers=headers, json=data)
print(r.json())
Response Example
{
    "error": false,
    "message": "string",
    "data": {
        "importer": {
            "id": 0
        }
    }
}

Try It
Request Body Required

Export